Bug 475699 - Libspectrum in updates breaks dependecies
Summary: Libspectrum in updates breaks dependecies
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: libspectrum
Version: 10
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lucian Langa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-12-10 02:33 UTC by Davide Repetto
Modified: 2009-01-07 09:28 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-07 09:12:19 UTC
Type: ---


Attachments (Terms of Use)

Description Davide Repetto 2008-12-10 02:33:13 UTC
Description of problem:
Libspectrum 0:0.5.0-1.fc10 has been just pushed in updates and
it breaks dependencies of fuse-emulator and fuse-emulator-utils that
still need "libspectrum.so.5" from libspectrum-0.4.0-2.fc9.i386

Version-Release number of selected component (if applicable):
0:0.5.0-1.fc10

How reproducible:
yum install libspectrum fuse-emulator
(or sumply "yum upgrade" - If you already have fuse-emulator)

Actual results:
[...snip...]
Error: Missing Dependency: libspectrum.so.5 is needed by package fuse-emulator-0.9.0-4.fc10.i386 (installed)
Error: Missing Dependency: libspectrum.so.5 is needed by package fuse-emulator-utils-0.9.0-3.fc10.i386 (installed)


A d d i t i o n a l   i n f o  :

Temporary workaround:
=====================
to quickly allow upgrades for those who already have fuse installed

yum --skip-broken upgrade

Result:
=======
Skipped (dependency problems):
  libspectrum.i3860:0.5.0-1.fc10
Complete!

Comment 1 Fedora Update System 2008-12-14 14:59:18 UTC
fuse-emulator-0.10.0.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fuse-emulator-0.10.0.1-1.fc9

Comment 2 Fedora Update System 2008-12-14 15:00:30 UTC
fuse-emulator-0.10.0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fuse-emulator-0.10.0.1-1.fc10

Comment 3 Fedora Update System 2008-12-14 15:09:43 UTC
fuse-emulator-utils-0.10.0.1-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/fuse-emulator-utils-0.10.0.1-1.fc9

Comment 4 Fedora Update System 2008-12-14 15:11:37 UTC
fuse-emulator-utils-0.10.0.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/fuse-emulator-utils-0.10.0.1-1.fc10

Comment 5 Lucian Langa 2008-12-14 15:33:17 UTC
karma will be appreciated.

Comment 6 Davide Repetto 2008-12-16 12:03:35 UTC
A lot of karma to you then! :)
... and of course a beer, whenever we should meet.

Comment 8 Sergio Basto 2008-12-17 02:50:01 UTC
yum localinstall fuse-emulator-0.10.0.1-1.fc10.x86_64.rpm fuse-emulator-utils-0.10.0.1-1.fc10.x86_64.rpm

Package fuse-emulator-utils-0.10.0.1-1.fc10.x86_64.rpm is not signed

this is right ? 

I am testing on x86_64

Comment 9 Davide Repetto 2008-12-17 13:00:57 UTC
(In reply to comment #7)
> Pssst.
> 
> http://fedoraproject.org/wiki/PackageMaintainers/UpdatingPackageHowTo#Submit_your_update_to_Bodhi
> 
> See point no. 4 ;)

Oooops!!! :)

Comment 10 Fedora Update System 2008-12-18 00:31:30 UTC
fuse-emulator-utils-0.10.0.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update fuse-emulator-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11414

Comment 11 Fedora Update System 2008-12-18 00:34:01 UTC
fuse-emulator-utils-0.10.0.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fuse-emulator-utils'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11335

Comment 12 Fedora Update System 2008-12-18 00:35:54 UTC
fuse-emulator-0.10.0.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update fuse-emulator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11279

Comment 13 Fedora Update System 2008-12-18 00:36:24 UTC
fuse-emulator-0.10.0.1-1.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update fuse-emulator'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-11359

Comment 14 Sergio Basto 2008-12-18 04:43:29 UTC
(In reply to comment #11)
> fuse-emulator-utils-0.10.0.1-1.fc10 has been pushed to the Fedora 10 testing
> repository.  If problems still persist, please make note of it in this bug
> report.
>  If you want to test the update, you can install it with 
>  su -c 'yum --enablerepo=updates-testing update fuse-emulator-utils'.  You can
> provide feedback for this update here:
> http://admin.fedoraproject.org/updates/F10/FEDORA-2008-11335

I don't find it on updates-testing repos :(

Comment 15 Sergio Basto 2009-01-05 22:21:01 UTC
(In reply to comment #14)

> 
> I don't find it on updates-testing repos :(

sorry , for my confusion. I test and worked , thanks.

Comment 16 Fedora Update System 2009-01-07 09:12:16 UTC
fuse-emulator-0.10.0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2009-01-07 09:17:16 UTC
fuse-emulator-0.10.0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2009-01-07 09:24:16 UTC
fuse-emulator-utils-0.10.0.1-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2009-01-07 09:28:10 UTC
fuse-emulator-utils-0.10.0.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.